Subject: [Q] MOPAC NMECI Problem

From: Ernst Wallenborn <[email-masked]>
Date: Thu, 22 Feb 1996 14:30:49 +0100

Hi there,

another problem i have with MOPAC (both 6.0 and 93.00) is:

Seemingly the way to do a CIS/D/T calculation without the
use of the CIS/D/T keywords (which are only available in MOPAC93)
is:

am1 GEO-OK 1SCF POLAR &
C.I.=(4,2) SINGLET ROOT=1  MICROS=27
NAPHTALENE.DAT CISD 
C   0.00000 1  0.00000 1  0.00000 1
C   2.80302 1  0.00000 1  0.00000 1
C   2.10703 1  1.23867 1  0.00000 1
C   0.69729 1  1.23804 1  0.00014 1
C   0.69404 1 -1.17964 1  0.00020 1
C   2.10888 1 -1.17944 1  0.00030 1
C   0.00329 1  2.47858 1 -0.00051 1
H  -1.09571 1  0.00871 1  0.00027 1
H   0.16306 1 -2.13719 1  0.00017 1
H   2.63994 1 -2.13695 1  0.00039 1
H   3.89787 1  2.46987 1 -0.00138 1
H   3.89877 1  0.00797 1  0.00004 1
C   0.69398 1  3.65960 1 -0.00154 1
H  -1.09260 1  2.46977 1 -0.00017 1
H   0.16219 1  4.61658 1 -0.00193 1
C   2.10894 1  3.65856 1 -0.00237 1
H   2.64064 1  4.61573 1 -0.00360 1
C   2.80216 1  2.47849 1 -0.00131 1

MICROS
11001100
01101100
01011100
11000110
11000101
[rest cut off]

This works well in both versions (apart from the POLAR)
and produces energies  identical to MOPAC93 with the
CISD keyword.

The number of microstates necessary to produce a given
state of course grows fast. 
C.I.(8,4) CISD for a singlet state has 361 microstates,
(8,4) CISDT should have 1545 (i wrote a program to generate
MICROS and checked its correctness on smaller active space
CIs by comparing it with the MOPAC93 MECI output. I feel
pretty sure that the program works although there is 
no guarantee, as usual).

And here comes the problem: The maximum number of microstates
is given by NMECI in SIZES (NMECI**2 actually). The MOPAC93
documentation indicates that setting NMECI to 39 is sufficient 
for (8,4) CISDT (section 8.5, page 137), stating that MICROS=1513
in this case (not 1545 as i think). Now 39**2 is 1521, so
including 1545 microstates requires at least NMECI=40.
I tried this (setting NMECI in SIZES to 40, recompiling,
then running the above .dat file with MICROS=1545 and the 
required microstates) with both MOPAC6 and MOPAC93, and failed.

In MOPAC6 the calculation would run for about 30 minutes, 
calculate the energy corretly, then say

1******************** FINITE-FIELD POLARIZABILITIES *************

    THE F-F METHOD IS PERFORMED USING BOTH AN ENERGY
    AND DIPOLE MOMENT EXPANSION.  THESE RESULTS ARE
    LISTED BELOW AS "E4" AND "DIP", RESPECTIVELY.
 ITERATION  1 PLS=-0.627E+00 0.116E+02 ENERGY   
   99.7604317 DELTAE   -0.2395683

                EIGENVECTORS AND EIGENVALUES ON ITERATION  1

dump the EIGENVECTORS and then crash. Just crash. The funny 
thing is, it ALWAYS dumps the EIGENVECTORS, even without 
the VECTORS keyword! Hence PRTVEC is set to .TRUE. during the
run. 

I suspect that the memory allocated for this variable is getting
overwritten by some array. I was meditating over the
source code for a while but couldn't find the bug (if it
is one).

Any ideas?

Besides: Of course i tried

am1 GEO-OK 1SCF  C.I.=(8,4) CISDT
FOOBAR
NAPHTALENE.DAT
C   0.00000 1  0.00000 1  0.00000 1
[snip]

in MOPAC93. The result was a

  TOO MANY CONFIGURATIONS REQUESTED

crash with NMECI=39 (supporting my claim that the number of
microstates is not 1513 but rather >1521) and a crash similar
to the one described above when NMECI is bigger than 39.

So the problem is there in both MOPAC6 and MOPAC93.

Help?

-- 
-ernst wallenborn.

i'm not a bug.
i'm an undocumented feature.